## org.mortbay.jetty
Class Response

    java.lang.Object
      org.mortbay.jetty.Response

All Implemented Interfaces:
  javax.servlet.http.HttpServletResponse, javax.servlet.ServletResponse

    public class Response

extends java.lang.Object
implements javax.servlet.http.HttpServletResponse

Response.

Implements `javax.servlet.HttpServletResponse` from the `javax.servlet` package.

Author:
  gregw

Field Summary
`static int` `DISABLED`
`static int` `NONE`
`static int` `STREAM`
`static int` `WRITER`

Fields inherited from interface javax.servlet.http.HttpServletResponse

`SC_ACCEPTED, SC_BAD_GATEWAY, SC_BAD_REQUEST, SC_CONFLICT, SC_CONTINUE, SC_CREATED, SC_EXPECTATION_FAILED, SC_FORBIDDEN, SC_FOUND, SC_GATEWAY_TIMEOUT, SC_GONE, SC_HTTP_VERSION_NOT_SUPPORTED, SC_INTERNAL_SERVER_ERROR, SC_LENGTH_REQUIRED, SC_METHOD_NOT_ALLOWED, SC_MOVED_PERMANENTLY, SC_MOVED_TEMPORARILY, SC_MULTIPLE_CHOICES, SC_NO_CONTENT, SC_NON_AUTHORITATIVE_INFORMATION, SC_NOT_ACCEPTABLE, SC_NOT_FOUND, SC_NOT_IMPLEMENTED, SC_NOT_MODIFIED, SC_OK, SC_PARTIAL_CONTENT, SC_PAYMENT_REQUIRED, SC_PRECONDITION_FAILED, SC_PROXY_AUTHENTICATION_REQUIRED, SC_REQUEST_ENTITY_TOO_LARGE, SC_REQUEST_TIMEOUT, SC_REQUEST_URI_TOO_LONG, SC_REQUESTED_RANGE_NOT_SATISFIABLE, SC_RESET_CONTENT, SC_SEE_OTHER, SC_SERVICE_UNAVAILABLE, SC_SWITCHING_PROTOCOLS, SC_TEMPORARY_REDIRECT, SC_UNAUTHORIZED, SC_UNSUPPORTED_MEDIA_TYPE, SC_USE_PROXY`

Constructor Summary
`Response(HttpConnection connection)`

Method Summary
`void` `addCookie(javax.servlet.http.Cookie cookie)`
`void` `addDateHeader(java.lang.String name, long date)`
`void` `addHeader(java.lang.String name, java.lang.String value)`
`void` `addIntHeader(java.lang.String name, int value)`
`void` `complete()`
`boolean` `containsHeader(java.lang.String name)`
`java.lang.String` `encodeRedirectUrl(java.lang.String url)`
`java.lang.String` `encodeRedirectURL(java.lang.String url)`
`java.lang.String` `encodeUrl(java.lang.String url)`
`java.lang.String` `encodeURL(java.lang.String url)`
`void` `flushBuffer()`
`int` `getBufferSize()`
`java.lang.String` `getCharacterEncoding()`
`long` `getContentCount()`
`java.lang.String` `getContentType()`
`java.lang.String` `getHeader(java.lang.String name)`
`java.util.Enumeration` `getHeaders(java.lang.String name)`
`HttpFields` `getHttpFields()`
`java.util.Locale` `getLocale()`
`javax.servlet.ServletOutputStream` `getOutputStream()`
`java.lang.String` `getReason()`
`int` `getStatus()`
`java.io.PrintWriter` `getWriter()`
`boolean` `isCommitted()`
`boolean` `isWriting()`
`protected void` `recycle()`
`void` `reset()`
`void` `resetBuffer()`
`void` `sendError(int sc)`
`void` `sendError(int code, java.lang.String message)`
`void` `sendProcessing()`
`void` `sendRedirect(java.lang.String location)`
`void` `setBufferSize(int size)`
`void` `setCharacterEncoding(java.lang.String encoding)`
`void` `setContentLength(int len)`
`void` `setContentType(java.lang.String contentType)`
`void` `setDateHeader(java.lang.String name, long date)`
`void` `setHeader(java.lang.String name, java.lang.String value)`
`void` `setIntHeader(java.lang.String name, int value)`
`void` `setLocale(java.util.Locale locale)`
`void` `setLongContentLength(long len)`
`void` `setStatus(int sc)`
`void` `setStatus(int sc, java.lang.String sm)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DISABLED

    public static final int DISABLED

See Also:
  Constant Field Values

### NONE

    public static final int NONE

See Also:
  Constant Field Values

### STREAM

    public static final int STREAM

See Also:
  Constant Field Values

### WRITER

    public static final int WRITER

See Also:
  Constant Field Values

Constructor Detail

### Response

    public Response(HttpConnection connection)

Method Detail

### recycle

    protected void recycle()

### addCookie

    public void addCookie(javax.servlet.http.Cookie cookie)

  Specified by:
    `addCookie` in interface `javax.servlet.http.HttpServletResponse`

### containsHeader

    public boolean containsHeader(java.lang.String name)

  Specified by:
    `containsHeader` in interface `javax.servlet.http.HttpServletResponse`

### encodeURL

    public java.lang.String encodeURL(java.lang.String url)

  Specified by:
    `encodeURL` in interface `javax.servlet.http.HttpServletResponse`

### encodeRedirectURL

    public java.lang.String encodeRedirectURL(java.lang.String url)

  Specified by:
    `encodeRedirectURL` in interface `javax.servlet.http.HttpServletResponse`

### encodeUrl

    public java.lang.String encodeUrl(java.lang.String url)

  Specified by:
    `encodeUrl` in interface `javax.servlet.http.HttpServletResponse`

### encodeRedirectUrl

    public java.lang.String encodeRedirectUrl(java.lang.String url)

  Specified by:
    `encodeRedirectUrl` in interface `javax.servlet.http.HttpServletResponse`

### sendError

    public void sendError(int code,
                          java.lang.String message)
                   throws java.io.IOException

  Specified by:
    `sendError` in interface `javax.servlet.http.HttpServletResponse`
  Throws:
    `java.io.IOException`

### sendError

    public void sendError(int sc)
                   throws java.io.IOException

  Specified by:
    `sendError` in interface `javax.servlet.http.HttpServletResponse`
  Throws:
    `java.io.IOException`

### sendProcessing

    public void sendProcessing()
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### sendRedirect

    public void sendRedirect(java.lang.String location)
                      throws java.io.IOException

  Specified by:
    `sendRedirect` in interface `javax.servlet.http.HttpServletResponse`
  Throws:
    `java.io.IOException`

### setDateHeader

    public void setDateHeader(java.lang.String name,
                              long date)

  Specified by:
    `setDateHeader` in interface `javax.servlet.http.HttpServletResponse`

### addDateHeader

    public void addDateHeader(java.lang.String name,
                              long date)

  Specified by:
    `addDateHeader` in interface `javax.servlet.http.HttpServletResponse`

### setHeader

    public void setHeader(java.lang.String name,
                          java.lang.String value)

  Specified by:
    `setHeader` in interface `javax.servlet.http.HttpServletResponse`

### getHeader

    public java.lang.String getHeader(java.lang.String name)

### getHeaders

    public java.util.Enumeration getHeaders(java.lang.String name)

### addHeader

    public void addHeader(java.lang.String name,
                          java.lang.String value)

  Specified by:
    `addHeader` in interface `javax.servlet.http.HttpServletResponse`

### setIntHeader

    public void setIntHeader(java.lang.String name,
                             int value)

  Specified by:
    `setIntHeader` in interface `javax.servlet.http.HttpServletResponse`

### addIntHeader

    public void addIntHeader(java.lang.String name,
                             int value)

  Specified by:
    `addIntHeader` in interface `javax.servlet.http.HttpServletResponse`

### setStatus

    public void setStatus(int sc)

  Specified by:
    `setStatus` in interface `javax.servlet.http.HttpServletResponse`

### setStatus

    public void setStatus(int sc,
                          java.lang.String sm)

  Specified by:
    `setStatus` in interface `javax.servlet.http.HttpServletResponse`

### getCharacterEncoding

    public java.lang.String getCharacterEncoding()

  Specified by:
    `getCharacterEncoding` in interface `javax.servlet.ServletResponse`

### getContentType

    public java.lang.String getContentType()

  Specified by:
    `getContentType` in interface `javax.servlet.ServletResponse`

### getOutputStream

    public javax.servlet.ServletOutputStream getOutputStream()
                                                      throws java.io.IOException

  Specified by:
    `getOutputStream` in interface `javax.servlet.ServletResponse`
  Throws:
    `java.io.IOException`

### isWriting

    public boolean isWriting()

### getWriter

    public java.io.PrintWriter getWriter()
                                  throws java.io.IOException

  Specified by:
    `getWriter` in interface `javax.servlet.ServletResponse`
  Throws:
    `java.io.IOException`

### setCharacterEncoding

    public void setCharacterEncoding(java.lang.String encoding)

  Specified by:
    `setCharacterEncoding` in interface `javax.servlet.ServletResponse`

### setContentLength

    public void setContentLength(int len)

  Specified by:
    `setContentLength` in interface `javax.servlet.ServletResponse`

### setLongContentLength

    public void setLongContentLength(long len)

### setContentType

    public void setContentType(java.lang.String contentType)

  Specified by:
    `setContentType` in interface `javax.servlet.ServletResponse`

### setBufferSize

    public void setBufferSize(int size)

  Specified by:
    `setBufferSize` in interface `javax.servlet.ServletResponse`

### getBufferSize

    public int getBufferSize()

  Specified by:
    `getBufferSize` in interface `javax.servlet.ServletResponse`

### flushBuffer

    public void flushBuffer()
                     throws java.io.IOException

  Specified by:
    `flushBuffer` in interface `javax.servlet.ServletResponse`
  Throws:
    `java.io.IOException`

### reset

    public void reset()

  Specified by:
    `reset` in interface `javax.servlet.ServletResponse`

### resetBuffer

    public void resetBuffer()

  Specified by:
    `resetBuffer` in interface `javax.servlet.ServletResponse`

### isCommitted

    public boolean isCommitted()

  Specified by:
    `isCommitted` in interface `javax.servlet.ServletResponse`

### setLocale

    public void setLocale(java.util.Locale locale)

  Specified by:
    `setLocale` in interface `javax.servlet.ServletResponse`

### getLocale

    public java.util.Locale getLocale()

  Specified by:
    `getLocale` in interface `javax.servlet.ServletResponse`

### getStatus

    public int getStatus()

  Returns:
    The HTTP status code that has been set for this request. This will be `200`(`HttpServletResponse.SC_OK`), unless explicitly set through one of the `setStatus` methods.``

### getReason

    public java.lang.String getReason()

  Returns:
    The reason associated with the current `status`. This will be `null`, unless one of the `setStatus` methods have been called.

### complete

    public void complete()
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### getContentCount

    public long getContentCount()

  Returns:
    the number of bytes actually written in response body

### getHttpFields

    public HttpFields getHttpFields()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.